/**
 * Homescreen indicator widget
 */
jQuery.fn.homescreenIndicator = function() {
  return this.each(function() {
    var indicator = $(this);
    
    if(indicator.is('.homescreen_indicator.doesnt_have_own')) {
      indicator.find('a').flyoutForm({
        'title' : App.lang('Create Home Screen'), 
        'success' : function(response) {
          App.Wireframe.Content.setFromUrl(response['urls']['view']);
        }
      });
    } // if
  });
  
};